clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::SignatureQualitySignals Struct Reference

`#include <Quality.h>`

Collaboration diagram for clang::clangd::SignatureQualitySignals:
[legend]

## Public Attributes
uint32_t | NumberOfParameters = 0
uint32_t | NumberOfOptionalParameters = 0
bool | ContainsActiveParameter = false
CodeCompleteConsumer::OverloadCandidate::CandidateKind | Kind

## Detailed Description

Definition at line 191 of file Quality.h.

## Member Data Documentation

## ◆ ContainsActiveParameter

bool clang::clangd::SignatureQualitySignals::ContainsActiveParameter = false

Definition at line 194 of file Quality.h.

Referenced by clang::clangd::operator<<().

## ◆ Kind

CodeCompleteConsumer::OverloadCandidate::CandidateKind clang::clangd::SignatureQualitySignals::Kind

Initial value:
=
CodeCompleteConsumer::OverloadCandidate::CandidateKind::CK_Function

Definition at line 195 of file Quality.h.

Referenced by clang::clangd::operator<<().

## ◆ NumberOfOptionalParameters

uint32_t clang::clangd::SignatureQualitySignals::NumberOfOptionalParameters = 0

Definition at line 193 of file Quality.h.

Referenced by clang::clangd::operator<<().

## ◆ NumberOfParameters

uint32_t clang::clangd::SignatureQualitySignals::NumberOfParameters = 0

Definition at line 192 of file Quality.h.

Referenced by clang::clangd::operator<<().

The documentation for this struct was generated from the following file:

- Quality.h